<%@ page language="java"
	contentType="text/html;charset=Shift_JIS"
	import="java.util.*,java.lang.*"
%>
<HTML>
	<HEAD>
		<meta http-equiv="Content-Type" content="text/html;charset=Shift_JIS">
		<title>OpenOLAP Viewer</title>
	</HEAD>

	<BODY onLoad="initialize();">
		<FORM name='form_main' method="POST">
		</FORM>
	</BODY>

</HTML>


<script language="JavaScript">

	var axesXMLData = null;

	// 初期化関数
	function initialize() {

		// オブジェクト生成
		axesXMLData = new ActiveXObject("MSXML2.DOMDocument");
		 
		// 初期設定
		axesXMLData.async = false;
		axesXMLData.setProperty("SelectionLanguage", "XPath");

		// Spread情報（XML）のロード
		var xmlLoadResult = axesXMLData.load("Controller?action=getReportInfo");

		// Spread表示エリアの更新
		document.form_main.action="Controller?action=renewHtmlAct";
		document.form_main.target="display_area";
		document.form_main.submit();
	}

</script>
